Subject: bug#72003: 29.3; Drag and drop in Emacs 29 on macOS

From: Robert Pluim <[email-masked]>
Date: Fri, 12 Jul 2024 14:29:32 +0200

>>>>> On Fri, 12 Jul 2024 10:14:21 +0100, Alan Third <[email-masked]> said:

    >> 
    >> I donʼt have a macOS 12 machine, so I canʼt test. Alan, would you have
    >> any ideas?

    Alan> My Mac is still running 10.14 or something equally ancient, so I doubt
    Alan> I'll be much help in diagnosing this, but it smells a little to me of
    Alan> an incorrect #if statement somewhere.

You mean the MAC_OS_X_VERSION_MIN_REQUIRED? It looks like that
influences how Emacs interacts with the PasteBoard.

Giah, did you build your emacsen yourself? Or are these from homebrew
or similar?

Thanks

Robert
--